InvalidSerialPortErr = "The configured Macintosh serial connection is invalid. Please select a connection in \"Preferences\" first";
TakeMeToPreferences = "Take me to Preferences";
OpenSerialPortErr = "Error %d occurred while opening the serial port (%s)";
WriteSerialPortErr = "Error %d occurred while writing to the serial port (%s)";
CommError = "Error %d occurred (%s)";
CancelButtonText = "Cancel";
InstallButtonText = "Install";
CouldNotSetWorkingDirErr = "Unable to create the default working folder \"%@\"; will use \"%@\" instead.";

/* Note: don't be very specific in the file errors; they'll probably never occur. */
UnknownCommandErr = "ERROR: unknown command received: %02X";
FileExistsErr = "File \"%@\" already exists";
FileDoesntExistErr = "File \"%@\" doesn't exist";
InvalidFilenameErr = "The file name specified is not valid for Mac OSX";
UnableToCreateFileErr = "The file could not created";
UnableToOpenFileErr = "The file could not be opened";
FileHasWrongSizeErr = "File \"%@\" has the wrong size; must be exactly %d bytes";
BadCRCErr = "Track %02X, sector %02X: bad CRC";
BadNibCRCErr = "Bad CRC during transfer of track %02X";
BadCRCReportedErr = "Track %02X, DOS sector %02X: bad CRC reported by Apple II";
UseAppleIIStr = "Ready to go; use the Apple II to start disk transfer";
DirCommandStartStr = "Sending directory contents to the Apple II";
DirCommandStopStr = "Finished sending directory contents to the Apple II";
DirCommandWaitStr = "Waiting for a key from the Apple II";
DirCommandContinueStr = "Continue sending directory contents to the Apple II";
ReceivingDiskStr = "Receiving disk \"%@\"";
ReceivingNibDiskStr = "Receiving nibble disk \"%@\"";
ReceivingV2dDiskStr = "Receiving half-track disk \"%@\"";
SendingDiskStr = "Sending disk \"%@\"";
FinishedReceiveWithErrorsStr = "Disk \"%@\" received WITH ERRORS in %d:%02d (%.0f cps).";
FinishedReceiveSuccessStr = "Disk \"%@\" successfully received in %d:%02d (%.0f cps).";
FinishedReceiveNibWithErrorsStr = "Disk \"%@\" received WITH ERRORS in %d:%02d.";
FinishedReceiveNibSuccessStr = "Disk \"%@\" successfully received in %d:%02d.";
OverallReliabilityStr = "Overall reliability of analysis %.2f %%.";
FinishedSendWithErrorsStr = "Disk \"%@\" sent WITH ERRORS in %d:%02d (%.0f cps).";
FinishedSendSuccessStr = "Disk \"%@\" successfully sent in %d:%02d (%.0f cps).";
WaitingForAppleIIStr = "Waiting for the Apple II to become available...";
DetectedAppeIIStr = "The Apple II is now available";
LostAppleIIStr = "Lost the connection with the Apple II";
AnalysisFailedErr = "Unable to analyze the disk data received";
AnalyzeWarning = "Warning: unable to analyze track #%d; made a raw copy";
AnalyzeResultStrWholeTrack = "Track #%d: established length %d with accuracy %f";
AnalyzeResultStrHalfTrack = "Track #%d.5: established length %d with accuracy %f";
ReReadWarningWholeTrack = "Track #%d: uncertain analysis result; requesting new sample";
ReReadWarningHalfTrack = "Track #%d.5: uncertain analysis result; requesting new sample";
A2V2TooOldErr = "The ADT version is too new to be used with A2V2. Upgrading A2V2 might solve the problem.";
ADTTooOldErr = "The ADT version is too old to be used with A2V2. Upgrading ADT might solve the problem.";
NonMatchingProtocolsErr = "These versions of ADT and A2V2 are mutually incompatible. Upgrading both programs might solve the problem.";
DataCommErr = "An unrecoverable data communication error occurred. Operation canceled.";

/* Texts for Apple II must be in all caps! */
DirectoryOfStr = "DIRECTORY OF ";
NoFilesStr = "NO FILES";
